import React, { useState, useEffect } from 'react';
import { Card, Form, Button } from 'antd';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { getWithdrawalDetail } from '@/services/withdrawal'
import { history } from 'umi';

const FormItem = Form.Item;
const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 } };
const goBack = () => {
  history.goBack();
};
export default (props) => {
  const { location } = props;
  const { id } = location.query;
  const [withdrawal, setWithdrawal] = useState();

  useEffect(() => {
    getWithdrawalDetail(id).then((res) => {
      setWithdrawal(res)
    }).catch((err) => {
      console.log(err.message)
    });
  }, [id])
  return (
    <PageHeaderWrapper    >
      <Card>
        <Form {...formItemLayout}>
          <FormItem label="申请人">
            {withdrawal?.userName}
          </FormItem>
          <FormItem label="犬主">
            {withdrawal?.phone}
          </FormItem>
          <FormItem label="犬名">
            {withdrawal?.orgName}
          </FormItem>
          <FormItem label="犬种">
            {withdrawal?.amountLeft / 100}
          </FormItem>
          <FormItem label="毛色">
            {withdrawal?.bankCard.ownerBank}
          </FormItem>
          <FormItem label="照片">
            {withdrawal?.bankCard.cardNo}
          </FormItem>
          <FormItem label="养狗地址">
            {withdrawal?.money / 100}
          </FormItem>
          <FormItem label=" " colon={false}>
            <Button type="default" onClick={() => goBack()}>
              返回
            </Button>
          </FormItem>
        </Form>
      </Card>
    </PageHeaderWrapper>
  );
};
